
# Interface: PreviewMockupSlider

## Hierarchy

* HTMLElement

  ↳ **PreviewMockupSlider**

## Index

### Properties

* [ATTRIBUTE_NODE](previewmockupslider.md#attribute_node)
* [CDATA_SECTION_NODE](previewmockupslider.md#cdata_section_node)
* [COMMENT_NODE](previewmockupslider.md#comment_node)
* [DOCUMENT_FRAGMENT_NODE](previewmockupslider.md#document_fragment_node)
* [DOCUMENT_NODE](previewmockupslider.md#document_node)
* [DOCUMENT_POSITION_CONTAINED_BY](previewmockupslider.md#document_position_contained_by)
* [DOCUMENT_POSITION_CONTAINS](previewmockupslider.md#document_position_contains)
* [DOCUMENT_POSITION_DISCONNECTED](previewmockupslider.md#document_position_disconnected)
* [DOCUMENT_POSITION_FOLLOWING](previewmockupslider.md#document_position_following)
* [DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC](previewmockupslider.md#document_position_implementation_specific)
* [DOCUMENT_POSITION_PRECEDING](previewmockupslider.md#document_position_preceding)
* [DOCUMENT_TYPE_NODE](previewmockupslider.md#document_type_node)
* [ELEMENT_NODE](previewmockupslider.md#element_node)
* [ENTITY_NODE](previewmockupslider.md#entity_node)
* [ENTITY_REFERENCE_NODE](previewmockupslider.md#entity_reference_node)
* [HTMLElement](previewmockupslider.md#htmlelement)
* [NOTATION_NODE](previewmockupslider.md#notation_node)
* [PROCESSING_INSTRUCTION_NODE](previewmockupslider.md#processing_instruction_node)
* [TEXT_NODE](previewmockupslider.md#text_node)
* [accessKey](previewmockupslider.md#accesskey)
* [accessKeyLabel](previewmockupslider.md#accesskeylabel)
* [assetStorageUrl](previewmockupslider.md#assetstorageurl)
* [assignedSlot](previewmockupslider.md#assignedslot)
* [attributes](previewmockupslider.md#attributes)
* [autocapitalize](previewmockupslider.md#autocapitalize)
* [backOfficeUrl](previewmockupslider.md#backofficeurl)
* [baseURI](previewmockupslider.md#baseuri)
* [childElementCount](previewmockupslider.md#childelementcount)
* [childNodes](previewmockupslider.md#childnodes)
* [children](previewmockupslider.md#children)
* [classList](previewmockupslider.md#classlist)
* [className](previewmockupslider.md#classname)
* [clientHeight](previewmockupslider.md#clientheight)
* [clientLeft](previewmockupslider.md#clientleft)
* [clientTop](previewmockupslider.md#clienttop)
* [clientWidth](previewmockupslider.md#clientwidth)
* [contentEditable](previewmockupslider.md#contenteditable)
* [dataset](previewmockupslider.md#dataset)
* [designAtomsApiUrl](previewmockupslider.md#designatomsapiurl)
* [dir](previewmockupslider.md#dir)
* [draggable](previewmockupslider.md#draggable)
* [firstChild](previewmockupslider.md#firstchild)
* [firstElementChild](previewmockupslider.md#firstelementchild)
* [hidden](previewmockupslider.md#hidden)
* [id](previewmockupslider.md#id)
* [innerHTML](previewmockupslider.md#innerhtml)
* [innerText](previewmockupslider.md#innertext)
* [inputMode](previewmockupslider.md#inputmode)
* [isConnected](previewmockupslider.md#isconnected)
* [isContentEditable](previewmockupslider.md#iscontenteditable)
* [lang](previewmockupslider.md#lang)
* [lastChild](previewmockupslider.md#lastchild)
* [lastElementChild](previewmockupslider.md#lastelementchild)
* [localName](previewmockupslider.md#localname)
* [namespaceURI](previewmockupslider.md#namespaceuri)
* [nextElementSibling](previewmockupslider.md#nextelementsibling)
* [nextSibling](previewmockupslider.md#nextsibling)
* [nodeName](previewmockupslider.md#nodename)
* [nodeType](previewmockupslider.md#nodetype)
* [nodeValue](previewmockupslider.md#nodevalue)
* [nonce](previewmockupslider.md#optional-nonce)
* [offsetHeight](previewmockupslider.md#offsetheight)
* [offsetLeft](previewmockupslider.md#offsetleft)
* [offsetParent](previewmockupslider.md#offsetparent)
* [offsetTop](previewmockupslider.md#offsettop)
* [offsetWidth](previewmockupslider.md#offsetwidth)
* [onabort](previewmockupslider.md#onabort)
* [onanimationcancel](previewmockupslider.md#onanimationcancel)
* [onanimationend](previewmockupslider.md#onanimationend)
* [onanimationiteration](previewmockupslider.md#onanimationiteration)
* [onanimationstart](previewmockupslider.md#onanimationstart)
* [onauxclick](previewmockupslider.md#onauxclick)
* [onblur](previewmockupslider.md#onblur)
* [oncancel](previewmockupslider.md#oncancel)
* [oncanplay](previewmockupslider.md#oncanplay)
* [oncanplaythrough](previewmockupslider.md#oncanplaythrough)
* [onchange](previewmockupslider.md#onchange)
* [onclick](previewmockupslider.md#onclick)
* [onclose](previewmockupslider.md#onclose)
* [oncontextmenu](previewmockupslider.md#oncontextmenu)
* [oncopy](previewmockupslider.md#oncopy)
* [oncuechange](previewmockupslider.md#oncuechange)
* [oncut](previewmockupslider.md#oncut)
* [ondblclick](previewmockupslider.md#ondblclick)
* [ondrag](previewmockupslider.md#ondrag)
* [ondragend](previewmockupslider.md#ondragend)
* [ondragenter](previewmockupslider.md#ondragenter)
* [ondragexit](previewmockupslider.md#ondragexit)
* [ondragleave](previewmockupslider.md#ondragleave)
* [ondragover](previewmockupslider.md#ondragover)
* [ondragstart](previewmockupslider.md#ondragstart)
* [ondrop](previewmockupslider.md#ondrop)
* [ondurationchange](previewmockupslider.md#ondurationchange)
* [onemptied](previewmockupslider.md#onemptied)
* [onended](previewmockupslider.md#onended)
* [onerror](previewmockupslider.md#onerror)
* [onfocus](previewmockupslider.md#onfocus)
* [onfullscreenchange](previewmockupslider.md#onfullscreenchange)
* [onfullscreenerror](previewmockupslider.md#onfullscreenerror)
* [ongotpointercapture](previewmockupslider.md#ongotpointercapture)
* [oninput](previewmockupslider.md#oninput)
* [oninvalid](previewmockupslider.md#oninvalid)
* [onkeydown](previewmockupslider.md#onkeydown)
* [onkeypress](previewmockupslider.md#onkeypress)
* [onkeyup](previewmockupslider.md#onkeyup)
* [onload](previewmockupslider.md#onload)
* [onloadeddata](previewmockupslider.md#onloadeddata)
* [onloadedmetadata](previewmockupslider.md#onloadedmetadata)
* [onloadend](previewmockupslider.md#onloadend)
* [onloadstart](previewmockupslider.md#onloadstart)
* [onlostpointercapture](previewmockupslider.md#onlostpointercapture)
* [onmousedown](previewmockupslider.md#onmousedown)
* [onmouseenter](previewmockupslider.md#onmouseenter)
* [onmouseleave](previewmockupslider.md#onmouseleave)
* [onmousemove](previewmockupslider.md#onmousemove)
* [onmouseout](previewmockupslider.md#onmouseout)
* [onmouseover](previewmockupslider.md#onmouseover)
* [onmouseup](previewmockupslider.md#onmouseup)
* [onpaste](previewmockupslider.md#onpaste)
* [onpause](previewmockupslider.md#onpause)
* [onplay](previewmockupslider.md#onplay)
* [onplaying](previewmockupslider.md#onplaying)
* [onpointercancel](previewmockupslider.md#onpointercancel)
* [onpointerdown](previewmockupslider.md#onpointerdown)
* [onpointerenter](previewmockupslider.md#onpointerenter)
* [onpointerleave](previewmockupslider.md#onpointerleave)
* [onpointermove](previewmockupslider.md#onpointermove)
* [onpointerout](previewmockupslider.md#onpointerout)
* [onpointerover](previewmockupslider.md#onpointerover)
* [onpointerup](previewmockupslider.md#onpointerup)
* [onprogress](previewmockupslider.md#onprogress)
* [onratechange](previewmockupslider.md#onratechange)
* [onreset](previewmockupslider.md#onreset)
* [onresize](previewmockupslider.md#onresize)
* [onscroll](previewmockupslider.md#onscroll)
* [onsecuritypolicyviolation](previewmockupslider.md#onsecuritypolicyviolation)
* [onseeked](previewmockupslider.md#onseeked)
* [onseeking](previewmockupslider.md#onseeking)
* [onselect](previewmockupslider.md#onselect)
* [onselectionchange](previewmockupslider.md#onselectionchange)
* [onselectstart](previewmockupslider.md#onselectstart)
* [onstalled](previewmockupslider.md#onstalled)
* [onsubmit](previewmockupslider.md#onsubmit)
* [onsuspend](previewmockupslider.md#onsuspend)
* [ontimeupdate](previewmockupslider.md#ontimeupdate)
* [ontoggle](previewmockupslider.md#ontoggle)
* [ontouchcancel](previewmockupslider.md#ontouchcancel)
* [ontouchend](previewmockupslider.md#ontouchend)
* [ontouchmove](previewmockupslider.md#ontouchmove)
* [ontouchstart](previewmockupslider.md#ontouchstart)
* [ontransitioncancel](previewmockupslider.md#ontransitioncancel)
* [ontransitionend](previewmockupslider.md#ontransitionend)
* [ontransitionrun](previewmockupslider.md#ontransitionrun)
* [ontransitionstart](previewmockupslider.md#ontransitionstart)
* [onvolumechange](previewmockupslider.md#onvolumechange)
* [onwaiting](previewmockupslider.md#onwaiting)
* [onwheel](previewmockupslider.md#onwheel)
* [outerHTML](previewmockupslider.md#outerhtml)
* [ownerDocument](previewmockupslider.md#ownerdocument)
* [parentElement](previewmockupslider.md#parentelement)
* [parentNode](previewmockupslider.md#parentnode)
* [prefix](previewmockupslider.md#prefix)
* [previewHeight](previewmockupslider.md#previewheight)
* [previewWidth](previewmockupslider.md#previewwidth)
* [previousElementSibling](previewmockupslider.md#previouselementsibling)
* [previousSibling](previewmockupslider.md#previoussibling)
* [productId](previewmockupslider.md#productid)
* [productVariantId](previewmockupslider.md#productvariantid)
* [productVersionId](previewmockupslider.md#productversionid)
* [scrollHeight](previewmockupslider.md#scrollheight)
* [scrollLeft](previewmockupslider.md#scrollleft)
* [scrollTop](previewmockupslider.md#scrolltop)
* [scrollWidth](previewmockupslider.md#scrollwidth)
* [shadowRoot](previewmockupslider.md#shadowroot)
* [slot](previewmockupslider.md#slot)
* [spellcheck](previewmockupslider.md#spellcheck)
* [stateId](previewmockupslider.md#stateid)
* [style](previewmockupslider.md#style)
* [tabIndex](previewmockupslider.md#tabindex)
* [tagName](previewmockupslider.md#tagname)
* [tenantId](previewmockupslider.md#tenantid)
* [textContent](previewmockupslider.md#textcontent)
* [title](previewmockupslider.md#title)
* [token](previewmockupslider.md#token)
* [translate](previewmockupslider.md#translate)
* [userId](previewmockupslider.md#userid)

### Methods

* [addEventListener](previewmockupslider.md#addeventlistener)
* [after](previewmockupslider.md#after)
* [animate](previewmockupslider.md#animate)
* [append](previewmockupslider.md#append)
* [appendChild](previewmockupslider.md#appendchild)
* [attachShadow](previewmockupslider.md#attachshadow)
* [before](previewmockupslider.md#before)
* [blur](previewmockupslider.md#blur)
* [click](previewmockupslider.md#click)
* [cloneNode](previewmockupslider.md#clonenode)
* [closest](previewmockupslider.md#closest)
* [compareDocumentPosition](previewmockupslider.md#comparedocumentposition)
* [contains](previewmockupslider.md#contains)
* [createPreviewResource](previewmockupslider.md#createpreviewresource)
* [dispatchEvent](previewmockupslider.md#dispatchevent)
* [focus](previewmockupslider.md#focus)
* [getAnimations](previewmockupslider.md#getanimations)
* [getAttribute](previewmockupslider.md#getattribute)
* [getAttributeNS](previewmockupslider.md#getattributens)
* [getAttributeNames](previewmockupslider.md#getattributenames)
* [getAttributeNode](previewmockupslider.md#getattributenode)
* [getAttributeNodeNS](previewmockupslider.md#getattributenodens)
* [getBoundingClientRect](previewmockupslider.md#getboundingclientrect)
* [getClientRects](previewmockupslider.md#getclientrects)
* [getElementsByClassName](previewmockupslider.md#getelementsbyclassname)
* [getElementsByTagName](previewmockupslider.md#getelementsbytagname)
* [getElementsByTagNameNS](previewmockupslider.md#getelementsbytagnamens)
* [getRootNode](previewmockupslider.md#getrootnode)
* [hasAttribute](previewmockupslider.md#hasattribute)
* [hasAttributeNS](previewmockupslider.md#hasattributens)
* [hasAttributes](previewmockupslider.md#hasattributes)
* [hasChildNodes](previewmockupslider.md#haschildnodes)
* [hasPointerCapture](previewmockupslider.md#haspointercapture)
* [insertAdjacentElement](previewmockupslider.md#insertadjacentelement)
* [insertAdjacentHTML](previewmockupslider.md#insertadjacenthtml)
* [insertAdjacentText](previewmockupslider.md#insertadjacenttext)
* [insertBefore](previewmockupslider.md#insertbefore)
* [isDefaultNamespace](previewmockupslider.md#isdefaultnamespace)
* [isEqualNode](previewmockupslider.md#isequalnode)
* [isSameNode](previewmockupslider.md#issamenode)
* [lookupNamespaceURI](previewmockupslider.md#lookupnamespaceuri)
* [lookupPrefix](previewmockupslider.md#lookupprefix)
* [matches](previewmockupslider.md#matches)
* [msGetRegionContent](previewmockupslider.md#msgetregioncontent)
* [normalize](previewmockupslider.md#normalize)
* [prepend](previewmockupslider.md#prepend)
* [querySelector](previewmockupslider.md#queryselector)
* [querySelectorAll](previewmockupslider.md#queryselectorall)
* [releasePointerCapture](previewmockupslider.md#releasepointercapture)
* [remove](previewmockupslider.md#remove)
* [removeAttribute](previewmockupslider.md#removeattribute)
* [removeAttributeNS](previewmockupslider.md#removeattributens)
* [removeAttributeNode](previewmockupslider.md#removeattributenode)
* [removeChild](previewmockupslider.md#removechild)
* [removeEventListener](previewmockupslider.md#removeeventlistener)
* [replaceChild](previewmockupslider.md#replacechild)
* [replaceWith](previewmockupslider.md#replacewith)
* [requestFullscreen](previewmockupslider.md#requestfullscreen)
* [requestPointerLock](previewmockupslider.md#requestpointerlock)
* [scroll](previewmockupslider.md#scroll)
* [scrollBy](previewmockupslider.md#scrollby)
* [scrollIntoView](previewmockupslider.md#scrollintoview)
* [scrollTo](previewmockupslider.md#scrollto)
* [setAttribute](previewmockupslider.md#setattribute)
* [setAttributeNS](previewmockupslider.md#setattributens)
* [setAttributeNode](previewmockupslider.md#setattributenode)
* [setAttributeNodeNS](previewmockupslider.md#setattributenodens)
* [setPointerCapture](previewmockupslider.md#setpointercapture)
* [toggleAttribute](previewmockupslider.md#toggleattribute)
* [webkitMatchesSelector](previewmockupslider.md#webkitmatchesselector)

## Properties

###  ATTRIBUTE_NODE

• **ATTRIBUTE_NODE**: *number*

*Inherited from void*

___

###  CDATA_SECTION_NODE

• **CDATA_SECTION_NODE**: *number*

*Inherited from void*

node is a CDATASection node.

___

###  COMMENT_NODE

• **COMMENT_NODE**: *number*

*Inherited from void*

node is a Comment node.

___

###  DOCUMENT_FRAGMENT_NODE

• **DOCUMENT_FRAGMENT_NODE**: *number*

*Inherited from void*

node is a DocumentFragment node.

___

###  DOCUMENT_NODE

• **DOCUMENT_NODE**: *number*

*Inherited from void*

node is a document.

___

###  DOCUMENT_POSITION_CONTAINED_BY

• **DOCUMENT_POSITION_CONTAINED_BY**: *number*

*Inherited from void*

Set when other is a descendant of node.

___

###  DOCUMENT_POSITION_CONTAINS

• **DOCUMENT_POSITION_CONTAINS**: *number*

*Inherited from void*

Set when other is an ancestor of node.

___

###  DOCUMENT_POSITION_DISCONNECTED

• **DOCUMENT_POSITION_DISCONNECTED**: *number*

*Inherited from void*

Set when node and other are not in the same tree.

___

###  DOCUMENT_POSITION_FOLLOWING

• **DOCUMENT_POSITION_FOLLOWING**: *number*

*Inherited from void*

Set when other is following node.

___

###  DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

• **DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC**: *number*

*Inherited from void*

___

###  DOCUMENT_POSITION_PRECEDING

• **DOCUMENT_POSITION_PRECEDING**: *number*

*Inherited from void*

Set when other is preceding node.

___

###  DOCUMENT_TYPE_NODE

• **DOCUMENT_TYPE_NODE**: *number*

*Inherited from void*

node is a doctype.

___

###  ELEMENT_NODE

• **ELEMENT_NODE**: *number*

*Inherited from void*

node is an element.

___

###  ENTITY_NODE

• **ENTITY_NODE**: *number*

*Inherited from void*

___

###  ENTITY_REFERENCE_NODE

• **ENTITY_REFERENCE_NODE**: *number*

*Inherited from void*

___

###  HTMLElement

• **HTMLElement**: *object*

#### Type declaration:

* **new __type**(): *HTMLElement*

* **prototype**: *HTMLElement*

___

###  NOTATION_NODE

• **NOTATION_NODE**: *number*

*Inherited from void*

___

###  PROCESSING_INSTRUCTION_NODE

• **PROCESSING_INSTRUCTION_NODE**: *number*

*Inherited from void*

node is a ProcessingInstruction node.

___

###  TEXT_NODE

• **TEXT_NODE**: *number*

*Inherited from void*

node is a Text node.

___

###  accessKey

• **accessKey**: *string*

*Inherited from void*

___

###  accessKeyLabel

• **accessKeyLabel**: *string*

*Inherited from void*

___

###  assetStorageUrl

• **assetStorageUrl**: *string*

___

###  assignedSlot

• **assignedSlot**: *HTMLSlotElement | null*

*Inherited from void*

*Overrides void*

___

###  attributes

• **attributes**: *NamedNodeMap*

*Inherited from void*

___

###  autocapitalize

• **autocapitalize**: *string*

*Inherited from void*

___

###  backOfficeUrl

• **backOfficeUrl**: *string*

___

###  baseURI

• **baseURI**: *string*

*Inherited from void*

Returns node's node document's document base URL.

___

###  childElementCount

• **childElementCount**: *number*

*Inherited from void*

___

###  childNodes

• **childNodes**: *NodeListOf‹ChildNode›*

*Inherited from void*

Returns the children.

___

###  children

• **children**: *HTMLCollection*

*Inherited from void*

Returns the child elements.

___

###  classList

• **classList**: *DOMTokenList*

*Inherited from void*

Allows for manipulation of element's class content attribute as a set of whitespace-separated tokens through a DOMTokenList object.

___

###  className

• **className**: *string*

*Inherited from void*

Returns the value of element's class content attribute. Can be set to change it.

___

###  clientHeight

• **clientHeight**: *number*

*Inherited from void*

___

###  clientLeft

• **clientLeft**: *number*

*Inherited from void*

___

###  clientTop

• **clientTop**: *number*

*Inherited from void*

___

###  clientWidth

• **clientWidth**: *number*

*Inherited from void*

___

###  contentEditable

• **contentEditable**: *string*

*Inherited from void*

___

###  dataset

• **dataset**: *DOMStringMap*

*Inherited from void*

___

###  designAtomsApiUrl

• **designAtomsApiUrl**: *string*

___

###  dir

• **dir**: *string*

*Inherited from void*

___

###  draggable

• **draggable**: *boolean*

*Inherited from void*

___

###  firstChild

• **firstChild**: *ChildNode | null*

*Inherited from void*

Returns the first child.

___

###  firstElementChild

• **firstElementChild**: *Element | null*

*Inherited from void*

Returns the first child that is an element, and null otherwise.

___

###  hidden

• **hidden**: *boolean*

*Inherited from void*

___

###  id

• **id**: *string*

*Inherited from void*

Returns the value of element's id content attribute. Can be set to change it.

___

###  innerHTML

• **innerHTML**: *string*

*Inherited from void*

___

###  innerText

• **innerText**: *string*

*Inherited from void*

___

###  inputMode

• **inputMode**: *string*

*Inherited from void*

___

###  isConnected

• **isConnected**: *boolean*

*Inherited from void*

Returns true if node is connected and false otherwise.

___

###  isContentEditable

• **isContentEditable**: *boolean*

*Inherited from void*

___

###  lang

• **lang**: *string*

*Inherited from void*

___

###  lastChild

• **lastChild**: *ChildNode | null*

*Inherited from void*

Returns the last child.

___

###  lastElementChild

• **lastElementChild**: *Element | null*

*Inherited from void*

Returns the last child that is an element, and null otherwise.

___

###  localName

• **localName**: *string*

*Inherited from void*

Returns the local name.

___

###  namespaceURI

• **namespaceURI**: *string | null*

*Inherited from void*

*Overrides void*

Returns the namespace.

___

###  nextElementSibling

• **nextElementSibling**: *Element | null*

*Inherited from void*

Returns the first following sibling that is an element, and null otherwise.

___

###  nextSibling

• **nextSibling**: *ChildNode | null*

*Inherited from void*

Returns the next sibling.

___

###  nodeName

• **nodeName**: *string*

*Inherited from void*

Returns a string appropriate for the type of node.

___

###  nodeType

• **nodeType**: *number*

*Inherited from void*

Returns the type of node.

___

###  nodeValue

• **nodeValue**: *string | null*

*Inherited from void*

___

### `Optional` nonce

• **nonce**? : *string*

*Inherited from void*

___

###  offsetHeight

• **offsetHeight**: *number*

*Inherited from void*

___

###  offsetLeft

• **offsetLeft**: *number*

*Inherited from void*

___

###  offsetParent

• **offsetParent**: *Element | null*

*Inherited from void*

___

###  offsetTop

• **offsetTop**: *number*

*Inherited from void*

___

###  offsetWidth

• **offsetWidth**: *number*

*Inherited from void*

___

###  onabort

• **onabort**: *function | null*

*Inherited from void*

Fires when the user aborts the download.

**`param`** The event.

___

###  onanimationcancel

• **onanimationcancel**: *function | null*

*Inherited from void*

___

###  onanimationend

• **onanimationend**: *function | null*

*Inherited from void*

___

###  onanimationiteration

• **onanimationiteration**: *function | null*

*Inherited from void*

___

###  onanimationstart

• **onanimationstart**: *function | null*

*Inherited from void*

___

###  onauxclick

• **onauxclick**: *function | null*

*Inherited from void*

___

###  onblur

• **onblur**: *function | null*

*Inherited from void*

Fires when the object loses the input focus.

**`param`** The focus event.

___

###  oncancel

• **oncancel**: *function | null*

*Inherited from void*

___

###  oncanplay

• **oncanplay**: *function | null*

*Inherited from void*

Occurs when playback is possible, but would require further buffering.

**`param`** The event.

___

###  oncanplaythrough

• **oncanplaythrough**: *function | null*

*Inherited from void*

___

###  onchange

• **onchange**: *function | null*

*Inherited from void*

Fires when the contents of the object or selection have changed.

**`param`** The event.

___

###  onclick

• **onclick**: *function | null*

*Inherited from void*

Fires when the user clicks the left mouse button on the object

**`param`** The mouse event.

___

###  onclose

• **onclose**: *function | null*

*Inherited from void*

___

###  oncontextmenu

• **oncontextmenu**: *function | null*

*Inherited from void*

Fires when the user clicks the right mouse button in the client area, opening the context menu.

**`param`** The mouse event.

___

###  oncopy

• **oncopy**: *function | null*

*Inherited from void*

___

###  oncuechange

• **oncuechange**: *function | null*

*Inherited from void*

___

###  oncut

• **oncut**: *function | null*

*Inherited from void*

___

###  ondblclick

• **ondblclick**: *function | null*

*Inherited from void*

Fires when the user double-clicks the object.

**`param`** The mouse event.

___

###  ondrag

• **ondrag**: *function | null*

*Inherited from void*

Fires on the source object continuously during a drag operation.

**`param`** The event.

___

###  ondragend

• **ondragend**: *function | null*

*Inherited from void*

Fires on the source object when the user releases the mouse at the close of a drag operation.

**`param`** The event.

___

###  ondragenter

• **ondragenter**: *function | null*

*Inherited from void*

Fires on the target element when the user drags the object to a valid drop target.

**`param`** The drag event.

___

###  ondragexit

• **ondragexit**: *function | null*

*Inherited from void*

___

###  ondragleave

• **ondragleave**: *function | null*

*Inherited from void*

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

**`param`** The drag event.

___

###  ondragover

• **ondragover**: *function | null*

*Inherited from void*

Fires on the target element continuously while the user drags the object over a valid drop target.

**`param`** The event.

___

###  ondragstart

• **ondragstart**: *function | null*

*Inherited from void*

Fires on the source object when the user starts to drag a text selection or selected object.

**`param`** The event.

___

###  ondrop

• **ondrop**: *function | null*

*Inherited from void*

___

###  ondurationchange

• **ondurationchange**: *function | null*

*Inherited from void*

Occurs when the duration attribute is updated.

**`param`** The event.

___

###  onemptied

• **onemptied**: *function | null*

*Inherited from void*

Occurs when the media element is reset to its initial state.

**`param`** The event.

___

###  onended

• **onended**: *function | null*

*Inherited from void*

Occurs when the end of playback is reached.

**`param`** The event

___

###  onerror

• **onerror**: *OnErrorEventHandler*

*Inherited from void*

Fires when an error occurs during object loading.

**`param`** The event.

___

###  onfocus

• **onfocus**: *function | null*

*Inherited from void*

Fires when the object receives focus.

**`param`** The event.

___

###  onfullscreenchange

• **onfullscreenchange**: *function | null*

*Inherited from void*

___

###  onfullscreenerror

• **onfullscreenerror**: *function | null*

*Inherited from void*

___

###  ongotpointercapture

• **ongotpointercapture**: *function | null*

*Inherited from void*

___

###  oninput

• **oninput**: *function | null*

*Inherited from void*

___

###  oninvalid

• **oninvalid**: *function | null*

*Inherited from void*

___

###  onkeydown

• **onkeydown**: *function | null*

*Inherited from void*

Fires when the user presses a key.

**`param`** The keyboard event

___

###  onkeypress

• **onkeypress**: *function | null*

*Inherited from void*

Fires when the user presses an alphanumeric key.

**`param`** The event.

___

###  onkeyup

• **onkeyup**: *function | null*

*Inherited from void*

Fires when the user releases a key.

**`param`** The keyboard event

___

###  onload

• **onload**: *function | null*

*Inherited from void*

Fires immediately after the browser loads the object.

**`param`** The event.

___

###  onloadeddata

• **onloadeddata**: *function | null*

*Inherited from void*

Occurs when media data is loaded at the current playback position.

**`param`** The event.

___

###  onloadedmetadata

• **onloadedmetadata**: *function | null*

*Inherited from void*

Occurs when the duration and dimensions of the media have been determined.

**`param`** The event.

___

###  onloadend

• **onloadend**: *function | null*

*Inherited from void*

___

###  onloadstart

• **onloadstart**: *function | null*

*Inherited from void*

Occurs when Internet Explorer begins looking for media data.

**`param`** The event.

___

###  onlostpointercapture

• **onlostpointercapture**: *function | null*

*Inherited from void*

___

###  onmousedown

• **onmousedown**: *function | null*

*Inherited from void*

Fires when the user clicks the object with either mouse button.

**`param`** The mouse event.

___

###  onmouseenter

• **onmouseenter**: *function | null*

*Inherited from void*

___

###  onmouseleave

• **onmouseleave**: *function | null*

*Inherited from void*

___

###  onmousemove

• **onmousemove**: *function | null*

*Inherited from void*

Fires when the user moves the mouse over the object.

**`param`** The mouse event.

___

###  onmouseout

• **onmouseout**: *function | null*

*Inherited from void*

Fires when the user moves the mouse pointer outside the boundaries of the object.

**`param`** The mouse event.

___

###  onmouseover

• **onmouseover**: *function | null*

*Inherited from void*

Fires when the user moves the mouse pointer into the object.

**`param`** The mouse event.

___

###  onmouseup

• **onmouseup**: *function | null*

*Inherited from void*

Fires when the user releases a mouse button while the mouse is over the object.

**`param`** The mouse event.

___

###  onpaste

• **onpaste**: *function | null*

*Inherited from void*

___

###  onpause

• **onpause**: *function | null*

*Inherited from void*

Occurs when playback is paused.

**`param`** The event.

___

###  onplay

• **onplay**: *function | null*

*Inherited from void*

Occurs when the play method is requested.

**`param`** The event.

___

###  onplaying

• **onplaying**: *function | null*

*Inherited from void*

Occurs when the audio or video has started playing.

**`param`** The event.

___

###  onpointercancel

• **onpointercancel**: *function | null*

*Inherited from void*

___

###  onpointerdown

• **onpointerdown**: *function | null*

*Inherited from void*

___

###  onpointerenter

• **onpointerenter**: *function | null*

*Inherited from void*

___

###  onpointerleave

• **onpointerleave**: *function | null*

*Inherited from void*

___

###  onpointermove

• **onpointermove**: *function | null*

*Inherited from void*

___

###  onpointerout

• **onpointerout**: *function | null*

*Inherited from void*

___

###  onpointerover

• **onpointerover**: *function | null*

*Inherited from void*

___

###  onpointerup

• **onpointerup**: *function | null*

*Inherited from void*

___

###  onprogress

• **onprogress**: *function | null*

*Inherited from void*

Occurs to indicate progress while downloading media data.

**`param`** The event.

___

###  onratechange

• **onratechange**: *function | null*

*Inherited from void*

Occurs when the playback rate is increased or decreased.

**`param`** The event.

___

###  onreset

• **onreset**: *function | null*

*Inherited from void*

Fires when the user resets a form.

**`param`** The event.

___

###  onresize

• **onresize**: *function | null*

*Inherited from void*

___

###  onscroll

• **onscroll**: *function | null*

*Inherited from void*

Fires when the user repositions the scroll box in the scroll bar on the object.

**`param`** The event.

___

###  onsecuritypolicyviolation

• **onsecuritypolicyviolation**: *function | null*

*Inherited from void*

___

###  onseeked

• **onseeked**: *function | null*

*Inherited from void*

Occurs when the seek operation ends.

**`param`** The event.

___

###  onseeking

• **onseeking**: *function | null*

*Inherited from void*

Occurs when the current playback position is moved.

**`param`** The event.

___

###  onselect

• **onselect**: *function | null*

*Inherited from void*

Fires when the current selection changes.

**`param`** The event.

___

###  onselectionchange

• **onselectionchange**: *function | null*

*Inherited from void*

___

###  onselectstart

• **onselectstart**: *function | null*

*Inherited from void*

___

###  onstalled

• **onstalled**: *function | null*

*Inherited from void*

Occurs when the download has stopped.

**`param`** The event.

___

###  onsubmit

• **onsubmit**: *function | null*

*Inherited from void*

___

###  onsuspend

• **onsuspend**: *function | null*

*Inherited from void*

Occurs if the load operation has been intentionally halted.

**`param`** The event.

___

###  ontimeupdate

• **ontimeupdate**: *function | null*

*Inherited from void*

Occurs to indicate the current playback position.

**`param`** The event.

___

###  ontoggle

• **ontoggle**: *function | null*

*Inherited from void*

___

###  ontouchcancel

• **ontouchcancel**: *function | null*

*Inherited from void*

___

###  ontouchend

• **ontouchend**: *function | null*

*Inherited from void*

___

###  ontouchmove

• **ontouchmove**: *function | null*

*Inherited from void*

___

###  ontouchstart

• **ontouchstart**: *function | null*

*Inherited from void*

___

###  ontransitioncancel

• **ontransitioncancel**: *function | null*

*Inherited from void*

___

###  ontransitionend

• **ontransitionend**: *function | null*

*Inherited from void*

___

###  ontransitionrun

• **ontransitionrun**: *function | null*

*Inherited from void*

___

###  ontransitionstart

• **ontransitionstart**: *function | null*

*Inherited from void*

___

###  onvolumechange

• **onvolumechange**: *function | null*

*Inherited from void*

Occurs when the volume is changed, or playback is muted or unmuted.

**`param`** The event.

___

###  onwaiting

• **onwaiting**: *function | null*

*Inherited from void*

Occurs when playback stops because the next frame of a video resource is not available.

**`param`** The event.

___

###  onwheel

• **onwheel**: *function | null*

*Inherited from void*

___

###  outerHTML

• **outerHTML**: *string*

*Inherited from void*

___

###  ownerDocument

• **ownerDocument**: *Document | null*

*Inherited from void*

Returns the node document. Returns null for documents.

___

###  parentElement

• **parentElement**: *HTMLElement | null*

*Inherited from void*

Returns the parent element.

___

###  parentNode

• **parentNode**: *Node & ParentNode | null*

*Inherited from void*

Returns the parent.

___

###  prefix

• **prefix**: *string | null*

*Inherited from void*

Returns the namespace prefix.

___

###  previewHeight

• **previewHeight**: *number*

___

###  previewWidth

• **previewWidth**: *number*

___

###  previousElementSibling

• **previousElementSibling**: *Element | null*

*Inherited from void*

Returns the first preceding sibling that is an element, and null otherwise.

___

###  previousSibling

• **previousSibling**: *Node | null*

*Inherited from void*

Returns the previous sibling.

___

###  productId

• **productId**: *number*

___

###  productVariantId

• **productVariantId**: *number*

___

###  productVersionId

• **productVersionId**: *number*

___

###  scrollHeight

• **scrollHeight**: *number*

*Inherited from void*

___

###  scrollLeft

• **scrollLeft**: *number*

*Inherited from void*

___

###  scrollTop

• **scrollTop**: *number*

*Inherited from void*

___

###  scrollWidth

• **scrollWidth**: *number*

*Inherited from void*

___

###  shadowRoot

• **shadowRoot**: *ShadowRoot | null*

*Inherited from void*

Returns element's shadow root, if any, and if shadow root's mode is "open", and null otherwise.

___

###  slot

• **slot**: *string*

*Inherited from void*

Returns the value of element's slot content attribute. Can be set to change it.

___

###  spellcheck

• **spellcheck**: *boolean*

*Inherited from void*

___

###  stateId

• **stateId**: *string*

___

###  style

• **style**: *CSSStyleDeclaration*

*Inherited from void*

___

###  tabIndex

• **tabIndex**: *number*

*Inherited from void*

___

###  tagName

• **tagName**: *string*

*Inherited from void*

Returns the HTML-uppercased qualified name.

___

###  tenantId

• **tenantId**: *number*

___

###  textContent

• **textContent**: *string | null*

*Inherited from void*

___

###  title

• **title**: *string*

*Inherited from void*

___

###  token

• **token**: *string*

___

###  translate

• **translate**: *boolean*

*Inherited from void*

___

###  userId

• **userId**: *string*

## Methods

###  addEventListener

▸ **addEventListener**‹**K**›(`type`: K, `listener`: function, `options?`: boolean | AddEventListenerOptions): *void*

*Inherited from void*

*Overrides void*

**Type parameters:**

▪ **K**: *keyof HTMLElementEventMap*

**Parameters:**

▪ **type**: *K*

▪ **listener**: *function*

▸ (`this`: HTMLElement, `ev`: HTMLElementEventMap[K]): *any*

**Parameters:**

Name | Type |
------ | ------ |
`this` | HTMLElement |
`ev` | HTMLElementEventMap[K] |

▪`Optional`  **options**: *boolean | AddEventListenerOptions*

**Returns:** *void*

▸ **addEventListener**(`type`: string, `listener`: EventListenerOrEventListenerObject, `options?`: boolean | AddEventListenerOptions): *void*

*Inherited from void*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`type` | string |
`listener` | EventListenerOrEventListenerObject |
`options?` | boolean &#124; AddEventListenerOptions |

**Returns:** *void*

___

###  after

▸ **after**(...`nodes`: (string | Node)[]): *void*

*Inherited from void*

Inserts nodes just after node, while replacing strings in nodes with equivalent Text nodes.

Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

**Parameters:**

Name | Type |
------ | ------ |
`...nodes` | (string &#124; Node)[] |

**Returns:** *void*

___

###  animate

▸ **animate**(`keyframes`: Keyframe[] | PropertyIndexedKeyframes | null, `options?`: number | KeyframeAnimationOptions): *Animation*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`keyframes` | Keyframe[] &#124; PropertyIndexedKeyframes &#124; null |
`options?` | number &#124; KeyframeAnimationOptions |

**Returns:** *Animation*

___

###  append

▸ **append**(...`nodes`: (string | Node)[]): *void*

*Inherited from void*

Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes.

Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

**Parameters:**

Name | Type |
------ | ------ |
`...nodes` | (string &#124; Node)[] |

**Returns:** *void*

___

###  appendChild

▸ **appendChild**‹**T**›(`newChild`: T): *T*

*Inherited from void*

**Type parameters:**

▪ **T**: *Node*

**Parameters:**

Name | Type |
------ | ------ |
`newChild` | T |

**Returns:** *T*

___

###  attachShadow

▸ **attachShadow**(`init`: ShadowRootInit): *ShadowRoot*

*Inherited from void*

Creates a shadow root for element and returns it.

**Parameters:**

Name | Type |
------ | ------ |
`init` | ShadowRootInit |

**Returns:** *ShadowRoot*

___

###  before

▸ **before**(...`nodes`: (string | Node)[]): *void*

*Inherited from void*

Inserts nodes just before node, while replacing strings in nodes with equivalent Text nodes.

Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

**Parameters:**

Name | Type |
------ | ------ |
`...nodes` | (string &#124; Node)[] |

**Returns:** *void*

___

###  blur

▸ **blur**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  click

▸ **click**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  cloneNode

▸ **cloneNode**(`deep?`: boolean): *Node*

*Inherited from void*

Returns a copy of node. If deep is true, the copy also includes the node's descendants.

**Parameters:**

Name | Type |
------ | ------ |
`deep?` | boolean |

**Returns:** *Node*

___

###  closest

▸ **closest**‹**K**›(`selector`: K): *HTMLElementTagNameMap[K] | null*

*Inherited from void*

Returns the first (starting at element) inclusive ancestor that matches selectors, and null otherwise.

**Type parameters:**

▪ **K**: *keyof HTMLElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selector` | K |

**Returns:** *HTMLElementTagNameMap[K] | null*

▸ **closest**‹**K**›(`selector`: K): *SVGElementTagNameMap[K] | null*

*Inherited from void*

**Type parameters:**

▪ **K**: *keyof SVGElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selector` | K |

**Returns:** *SVGElementTagNameMap[K] | null*

▸ **closest**‹**E**›(`selector`: string): *E | null*

*Inherited from void*

**Type parameters:**

▪ **E**: *Element*

**Parameters:**

Name | Type |
------ | ------ |
`selector` | string |

**Returns:** *E | null*

___

###  compareDocumentPosition

▸ **compareDocumentPosition**(`other`: Node): *number*

*Inherited from void*

Returns a bitmask indicating the position of other relative to node.

**Parameters:**

Name | Type |
------ | ------ |
`other` | Node |

**Returns:** *number*

___

###  contains

▸ **contains**(`other`: Node | null): *boolean*

*Inherited from void*

Returns true if other is an inclusive descendant of node, and false otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`other` | Node &#124; null |

**Returns:** *boolean*

___

###  createPreviewResource

▸ **createPreviewResource**(): *Promise‹string›*

**Returns:** *Promise‹string›*

___

###  dispatchEvent

▸ **dispatchEvent**(`event`: Event): *boolean*

*Inherited from void*

Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`event` | Event |

**Returns:** *boolean*

___

###  focus

▸ **focus**(`options?`: FocusOptions): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`options?` | FocusOptions |

**Returns:** *void*

___

###  getAnimations

▸ **getAnimations**(): *Animation[]*

*Inherited from void*

**Returns:** *Animation[]*

___

###  getAttribute

▸ **getAttribute**(`qualifiedName`: string): *string | null*

*Inherited from void*

Returns element's first attribute whose qualified name is qualifiedName, and null if there is no such attribute otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |

**Returns:** *string | null*

___

###  getAttributeNS

▸ **getAttributeNS**(`namespace`: string | null, `localName`: string): *string | null*

*Inherited from void*

Returns element's attribute whose namespace is namespace and local name is localName, and null if there is no such attribute otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |
`localName` | string |

**Returns:** *string | null*

___

###  getAttributeNames

▸ **getAttributeNames**(): *string[]*

*Inherited from void*

Returns the qualified names of all element's attributes. Can contain duplicates.

**Returns:** *string[]*

___

###  getAttributeNode

▸ **getAttributeNode**(`name`: string): *Attr | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`name` | string |

**Returns:** *Attr | null*

___

###  getAttributeNodeNS

▸ **getAttributeNodeNS**(`namespaceURI`: string, `localName`: string): *Attr | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespaceURI` | string |
`localName` | string |

**Returns:** *Attr | null*

___

###  getBoundingClientRect

▸ **getBoundingClientRect**(): *DOMRect*

*Inherited from void*

**Returns:** *DOMRect*

___

###  getClientRects

▸ **getClientRects**(): *DOMRectList*

*Inherited from void*

**Returns:** *DOMRectList*

___

###  getElementsByClassName

▸ **getElementsByClassName**(`classNames`: string): *HTMLCollectionOf‹Element›*

*Inherited from void*

Returns a HTMLCollection of the elements in the object on which the method was invoked (a document or an element) that have all the classes given by classNames. The classNames argument is interpreted as a space-separated list of classes.

**Parameters:**

Name | Type |
------ | ------ |
`classNames` | string |

**Returns:** *HTMLCollectionOf‹Element›*

___

###  getElementsByTagName

▸ **getElementsByTagName**‹**K**›(`qualifiedName`: K): *HTMLCollectionOf‹HTMLElementTagNameMap[K]›*

*Inherited from void*

**Type parameters:**

▪ **K**: *keyof HTMLElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | K |

**Returns:** *HTMLCollectionOf‹HTMLElementTagNameMap[K]›*

▸ **getElementsByTagName**‹**K**›(`qualifiedName`: K): *HTMLCollectionOf‹SVGElementTagNameMap[K]›*

*Inherited from void*

**Type parameters:**

▪ **K**: *keyof SVGElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | K |

**Returns:** *HTMLCollectionOf‹SVGElementTagNameMap[K]›*

▸ **getElementsByTagName**(`qualifiedName`: string): *HTMLCollectionOf‹Element›*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |

**Returns:** *HTMLCollectionOf‹Element›*

___

###  getElementsByTagNameNS

▸ **getElementsByTagNameNS**(`namespaceURI`: "http://www.w3.org/1999/xhtml", `localName`: string): *HTMLCollectionOf‹HTMLElement›*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespaceURI` | "http://www.w3.org/1999/xhtml" |
`localName` | string |

**Returns:** *HTMLCollectionOf‹HTMLElement›*

▸ **getElementsByTagNameNS**(`namespaceURI`: "http://www.w3.org/2000/svg", `localName`: string): *HTMLCollectionOf‹SVGElement›*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespaceURI` | "http://www.w3.org/2000/svg" |
`localName` | string |

**Returns:** *HTMLCollectionOf‹SVGElement›*

▸ **getElementsByTagNameNS**(`namespaceURI`: string, `localName`: string): *HTMLCollectionOf‹Element›*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespaceURI` | string |
`localName` | string |

**Returns:** *HTMLCollectionOf‹Element›*

___

###  getRootNode

▸ **getRootNode**(`options?`: GetRootNodeOptions): *Node*

*Inherited from void*

Returns node's root.

**Parameters:**

Name | Type |
------ | ------ |
`options?` | GetRootNodeOptions |

**Returns:** *Node*

___

###  hasAttribute

▸ **hasAttribute**(`qualifiedName`: string): *boolean*

*Inherited from void*

Returns true if element has an attribute whose qualified name is qualifiedName, and false otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |

**Returns:** *boolean*

___

###  hasAttributeNS

▸ **hasAttributeNS**(`namespace`: string | null, `localName`: string): *boolean*

*Inherited from void*

Returns true if element has an attribute whose namespace is namespace and local name is localName.

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |
`localName` | string |

**Returns:** *boolean*

___

###  hasAttributes

▸ **hasAttributes**(): *boolean*

*Inherited from void*

Returns true if element has attributes, and false otherwise.

**Returns:** *boolean*

___

###  hasChildNodes

▸ **hasChildNodes**(): *boolean*

*Inherited from void*

Returns whether node has children.

**Returns:** *boolean*

___

###  hasPointerCapture

▸ **hasPointerCapture**(`pointerId`: number): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pointerId` | number |

**Returns:** *boolean*

___

###  insertAdjacentElement

▸ **insertAdjacentElement**(`position`: InsertPosition, `insertedElement`: Element): *Element | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`position` | InsertPosition |
`insertedElement` | Element |

**Returns:** *Element | null*

___

###  insertAdjacentHTML

▸ **insertAdjacentHTML**(`where`: InsertPosition, `html`: string): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`where` | InsertPosition |
`html` | string |

**Returns:** *void*

___

###  insertAdjacentText

▸ **insertAdjacentText**(`where`: InsertPosition, `text`: string): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`where` | InsertPosition |
`text` | string |

**Returns:** *void*

___

###  insertBefore

▸ **insertBefore**‹**T**›(`newChild`: T, `refChild`: Node | null): *T*

*Inherited from void*

**Type parameters:**

▪ **T**: *Node*

**Parameters:**

Name | Type |
------ | ------ |
`newChild` | T |
`refChild` | Node &#124; null |

**Returns:** *T*

___

###  isDefaultNamespace

▸ **isDefaultNamespace**(`namespace`: string | null): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |

**Returns:** *boolean*

___

###  isEqualNode

▸ **isEqualNode**(`otherNode`: Node | null): *boolean*

*Inherited from void*

Returns whether node and otherNode have the same properties.

**Parameters:**

Name | Type |
------ | ------ |
`otherNode` | Node &#124; null |

**Returns:** *boolean*

___

###  isSameNode

▸ **isSameNode**(`otherNode`: Node | null): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`otherNode` | Node &#124; null |

**Returns:** *boolean*

___

###  lookupNamespaceURI

▸ **lookupNamespaceURI**(`prefix`: string | null): *string | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`prefix` | string &#124; null |

**Returns:** *string | null*

___

###  lookupPrefix

▸ **lookupPrefix**(`namespace`: string | null): *string | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |

**Returns:** *string | null*

___

###  matches

▸ **matches**(`selectors`: string): *boolean*

*Inherited from void*

Returns true if matching selectors against element's root yields element, and false otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | string |

**Returns:** *boolean*

___

###  msGetRegionContent

▸ **msGetRegionContent**(): *any*

*Inherited from void*

**Returns:** *any*

___

###  normalize

▸ **normalize**(): *void*

*Inherited from void*

Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.

**Returns:** *void*

___

###  prepend

▸ **prepend**(...`nodes`: (string | Node)[]): *void*

*Inherited from void*

Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes.

Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

**Parameters:**

Name | Type |
------ | ------ |
`...nodes` | (string &#124; Node)[] |

**Returns:** *void*

___

###  querySelector

▸ **querySelector**‹**K**›(`selectors`: K): *HTMLElementTagNameMap[K] | null*

*Inherited from void*

Returns the first element that is a descendant of node that matches selectors.

**Type parameters:**

▪ **K**: *keyof HTMLElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | K |

**Returns:** *HTMLElementTagNameMap[K] | null*

▸ **querySelector**‹**K**›(`selectors`: K): *SVGElementTagNameMap[K] | null*

*Inherited from void*

**Type parameters:**

▪ **K**: *keyof SVGElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | K |

**Returns:** *SVGElementTagNameMap[K] | null*

▸ **querySelector**‹**E**›(`selectors`: string): *E | null*

*Inherited from void*

**Type parameters:**

▪ **E**: *Element*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | string |

**Returns:** *E | null*

___

###  querySelectorAll

▸ **querySelectorAll**‹**K**›(`selectors`: K): *NodeListOf‹HTMLElementTagNameMap[K]›*

*Inherited from void*

Returns all element descendants of node that match selectors.

**Type parameters:**

▪ **K**: *keyof HTMLElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | K |

**Returns:** *NodeListOf‹HTMLElementTagNameMap[K]›*

▸ **querySelectorAll**‹**K**›(`selectors`: K): *NodeListOf‹SVGElementTagNameMap[K]›*

*Inherited from void*

**Type parameters:**

▪ **K**: *keyof SVGElementTagNameMap*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | K |

**Returns:** *NodeListOf‹SVGElementTagNameMap[K]›*

▸ **querySelectorAll**‹**E**›(`selectors`: string): *NodeListOf‹E›*

*Inherited from void*

**Type parameters:**

▪ **E**: *Element*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | string |

**Returns:** *NodeListOf‹E›*

___

###  releasePointerCapture

▸ **releasePointerCapture**(`pointerId`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pointerId` | number |

**Returns:** *void*

___

###  remove

▸ **remove**(): *void*

*Inherited from void*

Removes node.

**Returns:** *void*

___

###  removeAttribute

▸ **removeAttribute**(`qualifiedName`: string): *void*

*Inherited from void*

Removes element's first attribute whose qualified name is qualifiedName.

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |

**Returns:** *void*

___

###  removeAttributeNS

▸ **removeAttributeNS**(`namespace`: string | null, `localName`: string): *void*

*Inherited from void*

Removes element's attribute whose namespace is namespace and local name is localName.

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |
`localName` | string |

**Returns:** *void*

___

###  removeAttributeNode

▸ **removeAttributeNode**(`attr`: Attr): *Attr*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`attr` | Attr |

**Returns:** *Attr*

___

###  removeChild

▸ **removeChild**‹**T**›(`oldChild`: T): *T*

*Inherited from void*

**Type parameters:**

▪ **T**: *Node*

**Parameters:**

Name | Type |
------ | ------ |
`oldChild` | T |

**Returns:** *T*

___

###  removeEventListener

▸ **removeEventListener**‹**K**›(`type`: K, `listener`: function, `options?`: boolean | EventListenerOptions): *void*

*Inherited from void*

*Overrides void*

**Type parameters:**

▪ **K**: *keyof HTMLElementEventMap*

**Parameters:**

▪ **type**: *K*

▪ **listener**: *function*

▸ (`this`: HTMLElement, `ev`: HTMLElementEventMap[K]): *any*

**Parameters:**

Name | Type |
------ | ------ |
`this` | HTMLElement |
`ev` | HTMLElementEventMap[K] |

▪`Optional`  **options**: *boolean | EventListenerOptions*

**Returns:** *void*

▸ **removeEventListener**(`type`: string, `listener`: EventListenerOrEventListenerObject, `options?`: boolean | EventListenerOptions): *void*

*Inherited from void*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`type` | string |
`listener` | EventListenerOrEventListenerObject |
`options?` | boolean &#124; EventListenerOptions |

**Returns:** *void*

___

###  replaceChild

▸ **replaceChild**‹**T**›(`newChild`: Node, `oldChild`: T): *T*

*Inherited from void*

**Type parameters:**

▪ **T**: *Node*

**Parameters:**

Name | Type |
------ | ------ |
`newChild` | Node |
`oldChild` | T |

**Returns:** *T*

___

###  replaceWith

▸ **replaceWith**(...`nodes`: (string | Node)[]): *void*

*Inherited from void*

Replaces node with nodes, while replacing strings in nodes with equivalent Text nodes.

Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

**Parameters:**

Name | Type |
------ | ------ |
`...nodes` | (string &#124; Node)[] |

**Returns:** *void*

___

###  requestFullscreen

▸ **requestFullscreen**(`options?`: FullscreenOptions): *Promise‹void›*

*Inherited from void*

Displays element fullscreen and resolves promise when done.

When supplied, options's navigationUI member indicates whether showing navigation UI while in fullscreen is preferred or not. If set to "show", navigation simplicity is preferred over screen space, and if set to "hide", more screen space is preferred. User agents are always free to honor user preference over the application's. The default value "auto" indicates no application preference.

**Parameters:**

Name | Type |
------ | ------ |
`options?` | FullscreenOptions |

**Returns:** *Promise‹void›*

___

###  requestPointerLock

▸ **requestPointerLock**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  scroll

▸ **scroll**(`options?`: ScrollToOptions): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`options?` | ScrollToOptions |

**Returns:** *void*

▸ **scroll**(`x`: number, `y`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |
`y` | number |

**Returns:** *void*

___

###  scrollBy

▸ **scrollBy**(`options?`: ScrollToOptions): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`options?` | ScrollToOptions |

**Returns:** *void*

▸ **scrollBy**(`x`: number, `y`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |
`y` | number |

**Returns:** *void*

___

###  scrollIntoView

▸ **scrollIntoView**(`arg?`: boolean | ScrollIntoViewOptions): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`arg?` | boolean &#124; ScrollIntoViewOptions |

**Returns:** *void*

___

###  scrollTo

▸ **scrollTo**(`options?`: ScrollToOptions): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`options?` | ScrollToOptions |

**Returns:** *void*

▸ **scrollTo**(`x`: number, `y`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |
`y` | number |

**Returns:** *void*

___

###  setAttribute

▸ **setAttribute**(`qualifiedName`: string, `value`: string): *void*

*Inherited from void*

Sets the value of element's first attribute whose qualified name is qualifiedName to value.

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |
`value` | string |

**Returns:** *void*

___

###  setAttributeNS

▸ **setAttributeNS**(`namespace`: string | null, `qualifiedName`: string, `value`: string): *void*

*Inherited from void*

Sets the value of element's attribute whose namespace is namespace and local name is localName to value.

**Parameters:**

Name | Type |
------ | ------ |
`namespace` | string &#124; null |
`qualifiedName` | string |
`value` | string |

**Returns:** *void*

___

###  setAttributeNode

▸ **setAttributeNode**(`attr`: Attr): *Attr | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`attr` | Attr |

**Returns:** *Attr | null*

___

###  setAttributeNodeNS

▸ **setAttributeNodeNS**(`attr`: Attr): *Attr | null*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`attr` | Attr |

**Returns:** *Attr | null*

___

###  setPointerCapture

▸ **setPointerCapture**(`pointerId`: number): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`pointerId` | number |

**Returns:** *void*

___

###  toggleAttribute

▸ **toggleAttribute**(`qualifiedName`: string, `force?`: boolean): *boolean*

*Inherited from void*

If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName. If force is false, removes qualifiedName.

Returns true if qualifiedName is now present, and false otherwise.

**Parameters:**

Name | Type |
------ | ------ |
`qualifiedName` | string |
`force?` | boolean |

**Returns:** *boolean*

___

###  webkitMatchesSelector

▸ **webkitMatchesSelector**(`selectors`: string): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`selectors` | string |

**Returns:** *boolean*
